Package org.apache.commons.compress.archivers.zip

# Enum PKWareExtraHeader.HashAlgorithm

java.lang.Object
java.lang.Enum<PKWareExtraHeader.HashAlgorithm>
org.apache.commons.compress.archivers.zip.PKWareExtraHeader.HashAlgorithm

All Implemented Interfaces:
  `Serializable`, `Comparable<PKWareExtraHeader.HashAlgorithm>`

Enclosing class:
  `PKWareExtraHeader`

public static enum PKWareExtraHeader.HashAlgorithm extends Enum<PKWareExtraHeader.HashAlgorithm>
Enumerates hash Algorithm

Since:
  1.11

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CRC32`
  CRC32 with code 1.
  `MD5`
  MD5 with code 0x8003.
  `NONE`
  NONE with code 0.
  `RIPEND160`
  RIPEND160 with code 0x8007.
  `SHA1`
  SHA1 with code 0x8004.
  `SHA256`
  SHA256 with code 0x800C.
  `SHA384`
  SHA384 with code 0x800D.
  `SHA512`
  SHA512 with code 0x800E.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PKWareExtraHeader.HashAlgorithm`
  `getAlgorithmByCode(int code)`
  Returns the HashAlgorithm for the given code or null if the method is not known.
  `int`
  `getCode()`
  Gets the hash algorithm ID.
  `static PKWareExtraHeader.HashAlgorithm`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PKWareExtraHeader.HashAlgorithm[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final PKWareExtraHeader.HashAlgorithm NONE
    NONE with code 0.

  - ### CRC32

    public static final PKWareExtraHeader.HashAlgorithm CRC32
    CRC32 with code 1.

  - ### MD5

    public static final PKWareExtraHeader.HashAlgorithm MD5
    MD5 with code 0x8003.

  - ### SHA1

    public static final PKWareExtraHeader.HashAlgorithm SHA1
    SHA1 with code 0x8004.

  - ### RIPEND160

    public static final PKWareExtraHeader.HashAlgorithm RIPEND160
    RIPEND160 with code 0x8007.

  - ### SHA256

    public static final PKWareExtraHeader.HashAlgorithm SHA256
    SHA256 with code 0x800C.

  - ### SHA384

    public static final PKWareExtraHeader.HashAlgorithm SHA384
    SHA384 with code 0x800D.

  - ### SHA512

    public static final PKWareExtraHeader.HashAlgorithm SHA512
    SHA512 with code 0x800E.

- ## Method Details

  - ### values

    public static PKWareExtraHeader.HashAlgorithm[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PKWareExtraHeader.HashAlgorithm valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAlgorithmByCode

    public static PKWareExtraHeader.HashAlgorithm getAlgorithmByCode(int code)
    Returns the HashAlgorithm for the given code or null if the method is not known.
    Parameters:
      `code` - the code of the algorithm
    Returns:
      the HashAlgorithm for the given code or null if the method is not known

  - ### getCode

    public int getCode()
    Gets the hash algorithm ID.
    Returns:
      the PKWare hashAlg